This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 870268 - livecd-tools must require hfsplus-tools to ensure generated images are Mac bootable
livecd-tools must require hfsplus-tools to ensure generated images are Mac bo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
18
All All
unspecified Severity medium
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F18Beta/F18BetaBlocker F18Beta-accepted/F18BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-10-25 21:56 EDT by Adam Williamson
Modified: 2012-10-30 18:21 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 18:21:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2012-10-25 21:56:57 EDT
livecd-tools was not requiring hfsplus-tools; this meant that generated images may not be Mac bootable, this package has to be in the live image build environment for the generated images to boot on Macs.

An update is already available that fixes this bug - https://admin.fedoraproject.org/updates/livecd-tools-18.12-2.fc18 . this bug is being filed for blocker/NTH accounting purposes. Proposing as a Beta blocker per criterion "The installer must boot (if appropriate) and run on all primary architectures, with all system firmware types that are common on those architectures, from default live image, DVD, and boot.iso install media when written to an optical disc and when written to a USB stick with at least one of the officially supported methods" in the case of Macs, for live images.
Comment 1 Jan Sedlák 2012-10-29 08:40:50 EDT
I was able to boot from USB stick created in livecd-tools on Mac Mini. hfsplus-tools was installed as an dependency.
Comment 2 Adam Williamson 2012-10-29 14:59:23 EDT
Discussed at 2012-10-29 QA meeting acting as a blocker review meeting: http://meetbot.fedoraproject.org/fedora-meeting/2012-10-29/fedora-qa.2012-10-29-15.00.html . Accepted as NTH as it impacts testability on Macs. There was not clear-cut agreement for accepting it as a blocker with the few people in attendance, we decided to leave that issue open to save time; as it's NTH and a fix is available, it shouldn't be a practical issue, we will revisit it if it becomes one.
Comment 3 Adam Williamson 2012-10-30 18:21:40 EDT
Update was pushed stable, closing.

Note You need to log in before you can comment on or make changes to this bug.